--- title: "Set detailed exclusion for inspection results" slug: "management-cloud-advisor-result-detail-exclude" updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/management-cloud-advisor-result-detail-exclude" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Set detailed exclusion for inspection results Available in VPC Set instances to exclude when viewing detailed inspection results for inspection items. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/categories/{categoryCode}/checkitems/{itemCode}/result-detail/exclude | ### Request headers For information about the headers common to all Cloud Advisor APIs, see [Cloud Advisor request headers](/docs/en/management-cloud-advisor-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `categoryCode` | String | Required | Inspection category code - `SECURITY` \| `COST` - `SECURITY`: security category - `COST`: expense and high availability category | | `itemCode` | String | Required | Inspection item code - See [Inspection item code](/docs/en/management-cloud-advisor-overview#CloudAdvisor%EC%A0%90%EA%B2%80%ED%95%AD%EB%AA%A9). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `instanceKeys` | Array | Required | `instanceKey` list of queryable instances - See Get details of inspection item inspection results. | Note When entering `instanceKey`, see the following: - Enter in English, distinguishing uppercase and lowercase letters. - If there are invalid values, only the valid values are set, excluding the invalid values. ### Request example The request example is as follows: ``` curl --location --request POST 'https://cloud-advisor.apigw.ntruss.com/api/v1 /categories/{categoryCode}/checkitems/{itemCode}/result-detail/exclude' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' --data '[ "ncp_iam_BPA*************IMje", "ncp_iam_BPA*************4NH" ]' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | String | - | API processing result - `SUCCESS` \| `FAIL` - `SUCCESS`: succeeded - `FAIL`: failed | | `contents` | String | - | Settings result | ### Response status codes For response status codes common to all Cloud Advisor APIs, see [Cloud Advisor response status codes](/docs/en/management-cloud-advisor-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": "SUCCESS", "contents": "done" } ```